> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Approvals



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/approvals/{approvalId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/approvals/{approvalId}:
    patch:
      tags:
        - Approvals
      summary: Update Approvals
      operationId: ApprovalsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: approvalId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedVersion:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                title:
                  type: string
                  minLength: 1
                  maxLength: 200
                approvalType:
                  anyOf:
                    - type: string
                      enum:
                        - design
                        - finish
                        - sample
                        - mockup
                    - type: 'null'
                revisionLabel:
                  anyOf:
                    - type: string
                      maxLength: 200
                    - type: 'null'
                message:
                  anyOf:
                    - type: string
                      maxLength: 4000
                    - type: 'null'
                dueDate:
                  anyOf:
                    - type: string
                      pattern: ^\d{4}-\d{2}-\d{2}$
                    - type: 'null'
                steps:
                  minItems: 1
                  maxItems: 10
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                        maxLength: 100
                      approverIds:
                        minItems: 1
                        maxItems: 20
                        type: array
                        items:
                          type: string
                          pattern: ^[1-9]\d{0,18}$
                    required:
                      - name
                      - approverIds
                    additionalProperties: false
              required:
                - expectedVersion
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.